WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

MultiSite System Cron

For WordPress MultiSite installs, allows accurate and private system crontab requests instead of classic WP-Cron.

The WordPress Cron implementation needs web visits to be triggered regularly.

If you don't want to depend on the possible visits, or need a more accurate cron requests, it's easy to setup the Linux crontab to replace the WP-Cron system.

Simply disable the WP-Cron adding the constant DISABLE_WP_CRON to the wp-config.php file, and create a new crontab line with wget or curl commands fetching the wp-cron.php URL of your blog.

But for WordPress MultiSite installs you will need one crontab line for each blog and, if you have many blogs, it is not simple to maintain and configure all the cron calls.

Also, there is a risk to overlap requests, possibly affecting server performance or WordPress behaviour.

The aim of this plugin is to provide a method to implement Linux cron requests for WordPress MultiSite with only one line in the Linux crontab.

This only one request points to the main blog cron URL, but with special arguments, ensuring a controlled and private cron requests.

Then, from the main blog is performed a propagation process, calling one by one all the network blogs (also with privacy URL arguments).

In the network settings of this plugin you can setup the frecuency of this process, the time between each blog cron calls, estimate all the process duration to avoid overlapping, consulting amount of time of all cron processes, etc.

Obviously, this configuration depends of your number of blogs, the desired frecuency of cron calls and/or the performance capabilities of your server, so you will need some testing to achieve the proper parameters.

Requires: 3.3.2 or higher
Compatible up to: 4.2.13
Last Updated: 2 years ago
Active Installs: 10+

Ratings

5 out of 5 stars

Support

0 of 1 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.